<h2>{{ animal.name }} Details</h2>
<div><span>id : {{ animal.id }}</span></div>
<div><span>name : {{ animal.name }}</span></div>
<div class="img"><img src='{{ animal.imgUrl }}' alt='{{ animal.name }}'></div>

<h2>All My Animals</h2>
<ul class="animals">
    <li *ngFor="let animal of animals" (click)="onSelect(animal)">
        <img style="cursor: pointer;" src="{{ animal.imgUrl }}" alt="" class="animalImg">
        <span class="animalBadge">id: {{ animal.id }}</span>name: {{ animal.name }}
    </li>
</ul>

<div *ngIf="selectedAnimal" class="highlight-Animal">
    <h2>{{selectedAnimal.name | uppercase}} Details</h2>
    <div><span>id: </span>{{selectedAnimal.id}}</div>
    <div>
        <label>name:
            <input [(ngModel)]="selectedAnimal.name" placeholder="{{selectedAnimal.name}}"/>
        </label>
    </div>
    <img src="{{ selectedAnimal.imgUrl }}" />
</div>